summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJonas Smedegaard <dr@jones.dk>2017-05-22 14:09:59 +0200
committerJonas Smedegaard <dr@jones.dk>2017-05-22 14:09:59 +0200
commit5ecc03eb39f4634968214c850aacd7078738b7b0 (patch)
tree0bfd6230ed13e9ca92bd47916bcac1a1ed85259b
parent8b14eb673e334377857e25a0d76ca08ad9791626 (diff)
Tidy: Rename internal variable muxcount → targetcount.
-rwxr-xr-xbin/stream8
1 files changed, 4 insertions, 4 deletions
diff --git a/bin/stream b/bin/stream
index c3063ab..502fff5 100755
--- a/bin/stream
+++ b/bin/stream
@@ -239,8 +239,8 @@ encode_x264() { bitrate=$1; speed=$2;
# * routing based on http://trac.ffmpeg.org/wiki/Creating%20multiple%20outputs#Teepseudo-muxer
# * Use same RTP payload types as GStreamer
mux_webm() {
- muxcount=$(echo "$TARGETS_WEBM" | wc --words)
- if [ $muxcount -lt 2 ]; then
+ targetcount=$(echo "$TARGETS_WEBM" | wc --words)
+ if [ $targetcount -lt 2 ]; then
case "$TARGETS_WEBM" in
rtp_opus) echo_n "-f rtp -payload_type 111 rtp://$IP:$FIRSTPORT?pkt_size=1440";;
rtp_vp8) echo_n "-f rtp -payload_type 100 rtp://$IP:$((FIRSTPORT+2))?pkt_size=1440";;
@@ -254,8 +254,8 @@ mux_webm() {
rtp_vp8) echo_n "[select=\'v\':f=rtp:payload_type=100]rtp://$IP:$((FIRSTPORT+2))?pkt_size=1440";;
*) exit1 "Unsupported muxing $muxing";;
esac
- muxcount=$((muxcount-1))
- [ $muxcount -lt 1 ] || echo_n '|'
+ targetcount=$((targetcount-1))
+ [ $targetcount -lt 1 ] || echo_n '|'
done
fi
}